This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 888253 - inkscape: XXE via SVG rasterization [epel-5]
inkscape: XXE via SVG rasterization [epel-5]
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: inkscape (Show other bugs)
el5
All Linux
low Severity low
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-5656
  Show dependency treegraph
 
Reported: 2012-12-18 07:03 EST by Jan Lieskovsky
Modified: 2013-01-04 14:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-04 14:39:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-12-18 07:03:00 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-5 tracking bug for inkscape: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-12-18 07:03:11 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=888249,888253
Comment 2 Jon Ciesla 2012-12-18 13:36:52 EST
I can't build 0.48.4 on EL-5 it needs a newer intltool, is the inkscape 0.46 there affected?
Comment 3 Jan Lieskovsky 2012-12-19 04:48:26 EST
(In reply to comment #2)

Hi Jon,

> I can't build 0.48.4 on EL-5 it needs a newer intltool, is the inkscape 0.46
> there affected?

Yes, it is. I have tried the reproducer from https://bugzilla.redhat.com/show_bug.cgi?id=888249#c1 yesterday and it works on EPEL-5 version too.

So we will need some other way how to fix this (backport the isolated patch).

Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 4 Jon Ciesla 2012-12-19 14:37:48 EST
I understand what the patch is trying to accomplish, I'm just not sure how to get the allow_net_access option, Inkscape::Preferences *prefs = Inkscape::Preferences::get(); doesn't seem to work in 0.46.
Comment 5 Jan Lieskovsky 2012-12-20 10:09:57 EST
(In reply to comment #4)
> I understand what the patch is trying to accomplish, I'm just not sure how
> to get the allow_net_access option, Inkscape::Preferences *prefs =
> Inkscape::Preferences::get(); doesn't seem to work in 0.46.

So what do you propose? Discontinue support for inkscape in EPEL-5 and delete it? (not that this flaw would be so critical, it would need to be done. But current limitation not being to able to build new updates might be a problem if / once there is a more urgent inkscape issue found).
Comment 6 Jon Ciesla 2012-12-20 10:14:54 EST
No, possibly just simplify the patch to avoid the option check, and just disable network importing at those locations.  Thoughts?
Comment 7 Jan Lieskovsky 2012-12-20 10:34:00 EST
(In reply to comment #6)
> No, possibly just simplify the patch to avoid the option check, and just
> disable network importing at those locations.  Thoughts?

So divided into coins, what you suggest wrt to:
  http://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/revision/11931

is that the patch would use just:

  1115 int parse_options = XML_PARSE_RECOVER + XML_PARSE_NOWARNING + XML_PARSE_NOERROR;  // do not use XML_PARSE_NOENT ! see bug lp:1025185

at src/ui/dialog/ocaldialogs.cpp and use just:

  300 int parse_options = XML_PARSE_HUGE; // do not use XML_PARSE_NOENT ! see bug lp:1025185
  
  and

-  305               XML_PARSE_NOENT | XML_PARSE_HUGE);
+  311               parse_options);

at src/xml/repr-io.cpp, right? (IOW explicitly disable the XML_PARSE_NOENT by default without ability to switch it on again [without custom recompilation], right?)
Comment 8 Jon Ciesla 2012-12-20 10:44:21 EST
Pretty much.  Will that suffice to fix the flaw?
Comment 9 Jan Lieskovsky 2012-12-20 11:54:32 EST
(In reply to comment #8)
> Pretty much.  Will that suffice to fix the flaw?

Yes, that should fix the problem.
Comment 10 Jon Ciesla 2012-12-20 12:57:00 EST
Got it, patched, confirmed fixed, building.
Comment 11 Jan Lieskovsky 2012-12-20 13:08:37 EST
(In reply to comment #10)
> Got it, patched, confirmed fixed, building.

Ok, brilliant. Thanks.
Comment 12 Fedora Update System 2012-12-20 13:16:08 EST
inkscape-0.46-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/inkscape-0.46-3.el5
Comment 13 Fedora Update System 2012-12-20 19:33:19 EST
Package inkscape-0.46-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing inkscape-0.46-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13822/inkscape-0.46-3.el5
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-01-04 14:39:51 EST
inkscape-0.46-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.